web commit by EthanGlasserCamp: do I have to maintain this?
[ikiwiki.git] / debian / NEWS
1 ikiwiki (1.29) unstable; urgency=low
2
3   Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
4   in /etc/ikiwiki/wikilist this will be done automatically when the Debian
5   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
6
7   There is a change to the plugin interface in this version. Plugins that use
8   %renderedfiles will need to be updated, as the hash's values are now arrays
9   of rendered files. Plugins that cause a page to render additional files
10   should use the new will_render function to register the files.
11
12  -- Joey Hess <joeyh@debian.org>  Sun,  8 Oct 2006 17:27:56 -0400
13
14 ikiwiki (1.22) unstable; urgency=low
15   
16   Due to some changes in the CSS, wikis should be rebuilt on upgrade to this
17   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be done
18   automatically when the Debian package is upgraded. Or use ikiwiki-mass-rebuild
19   to force a rebuild.
20
21   If you have modified versions of ikiwiki's html templates, you will need
22   to update your templates to link to the stylesheet file using
23   "<TMPL_VAR BASEURL>style.css" instead of the old method which used
24   STYLEURL.
25
26   There have also been some changes to the plugin interface:
27   Any plugins that use santize, htmlize, or format hooks will need to be
28   updated for this version of ikiwiki since these hooks have been changed
29   to use named parameters.
30
31  -- Joey Hess <joeyh@debian.org>  Tue, 22 Aug 2006 15:33:12 -0400
32
33 ikiwiki (1.13) unstable; urgency=low
34
35   The GlobList format which was used for specifiying sets of pages, has been
36   replaced with a new, more expressive PageSpec format. While GlobLists will
37   continue to work, that format is deprecated, and you are encouraged to use
38   PageSpecs from now on, and also to change any GlobLists in your wiki to
39   PageSpecs. See the new PageSpec page for details.
40   
41   You will need to rebuild your wiki when upgrading to this version. If you
42   listed your wiki in /etc/ikiwiki/wikilist this will be done automatically
43   when the Debian package is upgraded. Or use ikiiki-mass-rebuild to force a
44   rebuild.
45
46  -- Joey Hess <joeyh@debian.org>  Tue,  1 Aug 2006 18:29:51 -0400
47
48 ikiwiki (1.11) unstable; urgency=low
49
50   Some changes to tags in this release, due to a new tag plugin. If you have
51   been using the meta plugin to tag pages, you'll want to enable the tag
52   plugin too, and change things like this:
53
54   [[meta link="foobar"]]
55
56   To this:
57
58   [[tag foobar]]
59
60   The new tags will appear at page footers, and are also easier to type.
61
62   There have also been some changes to the plugin interface, particularly the
63   interface of pagetemplate hooks has changed. See the changelog for details.
64
65  -- Joey Hess <joeyh@debian.org>  Thu, 27 Jul 2006 17:03:09 -0400
66
67 ikiwiki (1.8) unstable; urgency=low
68
69   If your wiki is configured with a setup file, you should modify it to
70   stop setting the "plugin" list directly, and instead add or remove plugins
71   via the add_plugins and disable_plugins lines. For example, if you had:
72
73         plugin => [qw{inline smiley search}],
74
75   Change it to these lines, which disables the default htmlscrubber plugin
76   and adds the two additional plugins:
77
78         add_plugins => [qw{smiley search}],
79         disable_plugins => [qw{htmlscrubber}],
80
81   Making this change makes your ikiwiki setup file more future-proof since
82   new default plugins will be automatically used.
83   
84   You will need to rebuild your ikiwiki wrappers when upgrading to this
85   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be
86   done automatically when the Debian package is upgraded. Or use
87   ikiiki-mass-rebuild --refresh to force a refresh.
88
89  -- Joey Hess <joeyh@debian.org>  Mon,  3 Jul 2006 16:59:29 -0400
90
91 ikiwiki (1.1) unstable; urgency=low
92
93   There have been several configuration changes in this release of ikiwiki:
94
95   The --svn and --no-svn switches are removed, instead you should use
96    --rcs=svn or --no-rcs. ikiwiki setup files that set svn => 1 should
97   be changed to set rcs => "svn"; if your setup file sets svn => 0
98   then change it to use rcs => "" to disable svn.
99
100   The --hyperestraier switch is gone too. To enable searching, turn on the
101   search plugin, by passing --plugin=search or through the plugin setting in
102   the setup file.
103
104   The --sanitize and --no-sanitize switches are also gone, replaced with the
105   htmlscrubber plugin. This plugin is enabled by default, to disable it,
106   use --disable-plugin=htmlscrubber, or modify the plugin setting in the
107   setup file.
108
109   Discussion pages are enabled by default, but if your wiki is configured
110   with a setup file, you need to edit it to keep them enabled on upgrade
111   to this version. Add a line reading:
112   discussion => 1,
113
114   You will need to rebuild your wiki when upgrading to this version.
115   If you listed your wiki in /etc/ikiwiki/wikilist this will be done
116   automatically when the Debian package is upgraded. Or use
117   ikiiki-mass-rebuild to force a rebuild.
118
119  -- Joey Hess <joeyh@debian.org>  Tue,  2 May 2006 14:13:59 -0400